.modal {
  &-header {
    text-align: right;
    color: #FFFFFF;
    background-color: #1e293f;
    padding: 10px 10px 0px 10px;
    font-size: .875rem;
  }
  &_warning {
    overflow: hidden;
    border: 1px solid #515c70;
    border-radius: 14px;
    margin-bottom: 15px;
    box-shadow: 0px 0px 10px 0px rgba(1, 1, 1, 0.3);
    width: 100%;
    font-size: .675rem;
    color: #a5b5d1;
    position: absolute;
    left: 0px;
    right: 0px;
    line-height: 1.4;
    &-body {
      background-color: #1e293f;
      padding: 0px 20px 20px 20px;
    }
    &-help {
      background-color: #192233;
      padding: 0px 20px 20px 20px;
      &-header {
        color: #ce3636;
        text-transform: uppercase;
        font-weight: bold;
        padding: 10px;
      }
    }
  }
}

.modal_default {
  &-header {
    padding: $paddingMini 0px;
    font-size: 1.125rem;
  }
  &-inner {
    background-color: #2b354a;
    margin: 15px -15px;
    &-padding {
      padding: $paddingDefault;
    }
  }
  &-activated {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: $paddingMini 0px;
    &-check {
      max-width: 25px;
    }
    &-item {
      padding: $paddingMini / 4;
      &-green {
        color: #34c651;
      }
    }
  }
  &-bonus {
    margin: 15px -15px;
    background-color: #2b354a;
    min-height: 80px;
    position: relative;
    &-check {
      background: url(./../static/icons/checkBonus.png) no-repeat 50%;
      background-size: 100px;
      position: absolute;
      left: 0px;
      right: 0px;
      top: 0px;
      bottom: 0px;
    }
    &-amount {
      color: #35cf52;
      font-size: 2rem;
      position: relative;
      &-label {
        background-color: #f2a314;
        color: #222b3e;
        border-radius: 4px;
        font-size: .675rem;
        position: absolute;
        right: -40px;
        top: 0px;
        padding: 1px 2px;
      }
    }
  }
  &-list {
    padding: $paddingMini $paddingDefault;
    min-height: 34px;
    color: #7c87a1;
    &.modal_default-list-checked {
      color: #ffffff;
      .modal_default-list-amount {
        color: #35cf52;
      }
      label.checkbox {
        &.is-checked {
          .checkbox_inner {
            border-color: #35cf52;
            &:after {
              border-color: #35cf52;
            }
          }
        }
      }
    }
    &:nth-of-type(even) {
      background-color: #303d57;
    }
    label.checkbox {
      position: relative;
      top: -4px;
    }
    &-name {
      text-transform: lowercase;
    }
  }
}
